package CHAPTER11;

import javax.swing.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

// MouseAdapter 상속을 통해 필요한 이벤트만 처리하는 클래스
class MyMouseAdapter extends MouseAdapter {
    @Override
    public void mouseClicked(MouseEvent e) {
        System.out.println("마우스 클릭 위치: X=" + e.getX() + ", Y=" + e.getY());
    }
}

public class C11_11_MouseAdapter extends JFrame {
	public C11_11_MouseAdapter() {
		setTitle("마우스어댑터 제");
		setSize(300, 200);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        JPanel panel = new JPanel();

        // MyMouseAdapter 클래스의 객체를 이벤트 리스너로 등록
        panel.addMouseListener(new MyMouseAdapter());
        add(panel);
        
        setVisible(true);
	}
    public static void main(String[] args) {
        new C11_11_MouseAdapter();
    }
}
